// To parse this JSON data, do
//
//     final floorSketch = floorSketchFromJson(jsonString);

import 'dart:convert';

FloorSketch floorSketchFromJson(String str) =>
    FloorSketch.fromJson(json.decode(str));

String floorSketchToJson(FloorSketch data) => json.encode(data.toJson());

class FloorSketch {
  final int? bldgapprDetailsId;
  final String? dateCreated;
  final String? floorSketch;
  final String? genCode;

  FloorSketch({
    this.bldgapprDetailsId,
    this.dateCreated,
    this.floorSketch,
    this.genCode,
  });

  FloorSketch copy(
      {int? bldgapprDetailsId,
      String? dateCreated,
      String? floorSketch,
      String? genCode}) {
    return FloorSketch(
      bldgapprDetailsId: bldgapprDetailsId ?? this.bldgapprDetailsId,
      dateCreated: dateCreated ?? this.dateCreated,
      floorSketch: floorSketch ?? this.floorSketch,
      genCode: genCode ?? this.genCode,
    );
  }

  FloorSketch copyWith({
    int? bldgapprDetailsId,
    String? dateCreated,
    String? floorSketch,
    String? genCode,
  }) =>
      FloorSketch(
        bldgapprDetailsId: bldgapprDetailsId ?? this.bldgapprDetailsId,
        dateCreated: dateCreated ?? this.dateCreated,
        floorSketch: floorSketch ?? this.floorSketch,
        genCode: genCode ?? this.genCode,
      );

  factory FloorSketch.fromJson(Map<String, dynamic> json) => FloorSketch(
        bldgapprDetailsId: json["bldgappr_details_id"],
        dateCreated: json["date_created"],
        floorSketch: json["floor_sketch"],
        genCode: json["gen_code"],
      );

  Map<String, dynamic> toJson() => {
        "bldgappr_details_id": bldgapprDetailsId,
        "date_created": dateCreated,
        "floor_sketch": floorSketch,
        "gen_code": genCode,
      };
}
